org.apache.pdfbox.pdmodel.interactive.pagenavigation

## Class PDThread

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.pagenavigation.PDThread

All Implemented Interfaces:
  COSObjectable

    public class PDThread
    extends Object
    implements COSObjectable

This a single thread in a PDF document.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDThread()` Default constructor.
`PDThread(COSDictionary t)` Constructor that is used for a preexisting dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` This will get the underlying dictionary that this object wraps.
`PDThreadBead` `getFirstBead()` Get the first bead in the thread, or null if it has not been set yet.
`PDDocumentInformation` `getThreadInfo()` Get info about the thread, or null if there is nothing.
`void` `setFirstBead(PDThreadBead bead)` This will set the first bead in the thread.
`void` `setThreadInfo(PDDocumentInformation info)` Set the thread info, can be null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDThread

    public PDThread(COSDictionary t)

Constructor that is used for a preexisting dictionary.

Parameters:
  `t` - The underlying dictionary.

#### PDThread

    public PDThread()

Default constructor.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

This will get the underlying dictionary that this object wraps.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The underlying info dictionary.

#### getThreadInfo

    public PDDocumentInformation getThreadInfo()

Get info about the thread, or null if there is nothing.

Returns:
  The thread information.

#### setThreadInfo

    public void setThreadInfo(PDDocumentInformation info)

Set the thread info, can be null.

Parameters:
  `info` - The info dictionary about this thread.

#### getFirstBead

    public PDThreadBead getFirstBead()

Get the first bead in the thread, or null if it has not been set yet. This is a required field for this object.

Returns:
  The first bead in the thread.

#### setFirstBead

    public void setFirstBead(PDThreadBead bead)

This will set the first bead in the thread. When this is set it will also set the thread property of the bead object.

Parameters:
  `bead` - The first bead in the thread.